Name:	 	faketime
Version:	0.9.8
Release:	%mkrel 3
Summary:	Report faked system time to programs
License:	GPLv2
Group:	 	Development/Tools
URL:	 	https://github.com/wolfcw/libfaketime
Source0:	https://github.com/wolfcw/libfaketime/archive/v%{version}/libfaketime-%{version}.tar.gz


%description
libfaketime intercepts various system calls which programs use to
retrieve the current date and time. It can then report faked dates and
times (as specified by you, the user) to these programs. This means you
can modify the system time a program sees without having to change the
time system-wide.

%prep
%setup -q -n libfaketime-%{version}

sed -i 's|-Wall -Wextra -Werror|-Wall -Wextra|' src/Makefile

%build
export CFLAGS="%{optflags} -Wno-error=nonnull-compare"
%make_build PREFIX=%{_prefix} LIBDIRNAME=/%{_lib}

%install
%make_install PREFIX=%{_prefix} LIBDIRNAME=/%{_lib}

%files
%doc README NEWS
%{_bindir}/faketime
%{_libdir}/libfaketime*.so.1
%{_mandir}/man1/faketime.1*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.9.8-3.mga10
+ Revision: 2195850
- Mageia 10 Mass Rebuild

* Tue Mar 15 2022 umeabot <umeabot> 0.9.8-2.mga9
+ Revision: 1793775
- Mageia 9 Mass Rebuild

* Mon Jan 17 2022 mrambo3501 <mrambo3501> 0.9.8-1.mga9
+ Revision: 1768851
- version 0.9.8

* Thu Feb 13 2020 umeabot <umeabot> 0.9.7-3.mga8
+ Revision: 1512216
- Mageia 8 Mass Rebuild

* Mon Sep 24 2018 umeabot <umeabot> 0.9.7-2.mga7
+ Revision: 1303153
- Mageia 7 Mass Rebuild

* Mon Mar 26 2018 kekepower <kekepower> 0.9.7-1.mga7
+ Revision: 1212619
- Update to version 0.9.7
- Fix URL and Source0 links

* Fri Sep 29 2017 cjw <cjw> 0.9.6-6.mga7
+ Revision: 1161466
- fix build with gcc 7

* Sun Aug 27 2017 daviddavid <daviddavid> 0.9.6-5.mga7
+ Revision: 1148379
- honor user CFLAGS thus fixing empty debugsourcefiles.list

* Mon Feb 08 2016 umeabot <umeabot> 0.9.6-4.mga6
+ Revision: 947241
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.9.6-3.mga5
+ Revision: 750190
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.6-2.mga5
+ Revision: 679088
- Mageia 5 Mass Rebuild

* Mon Jun 09 2014 sander85 <sander85> 0.9.6-1.mga5
+ Revision: 635256
- New version: 0.9.6

* Thu Nov 14 2013 boklm <boklm> 0.9.5-1.mga4
+ Revision: 551147
- imported package faketime

